> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a product family

> Create a product family

<sup>Required permissions: `product-family:write`</sup>



## OpenAPI

````yaml post /product-families
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /product-families:
    parameters: []
    post:
      tags:
        - ProductFamily
      summary: Create a product family
      description: |-
        Create a product family

        <sup>Required permissions: `product-family:write`</sup>
      operationId: createProductFamily
      parameters: []
      requestBody:
        description: The new ProductFamily resource
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductFamily-ProductFamilyWrite'
          text/html:
            schema:
              $ref: '#/components/schemas/ProductFamily-ProductFamilyWrite'
        required: true
      responses:
        '201':
          description: ProductFamily resource created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductFamily-ProductFamilyRead'
            text/html:
              schema:
                $ref: '#/components/schemas/ProductFamily-ProductFamilyRead'
          links: {}
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - product-family:write
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X POST \
             /product-families \
             --header "Content-Type: application/json" \
             --header "Authorization: Bearer <token>" \
             --data '{
                "name": "Team Packages"
            }'
components:
  schemas:
    ProductFamily-ProductFamilyWrite:
      type: object
      description: ''
      deprecated: false
      required:
        - name
      properties:
        name:
          maxLength: 255
          example: Team Packages
          type: string
        parent:
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          anyOf:
            - $ref: '#/components/schemas/ProductFamily-ProductFamilyWrite'
            - type: 'null'
    ProductFamily-ProductFamilyRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: ad8b3b9e-5b0a-4e1a-8b0a-4e1a8b0a4e1a
          type: string
        name:
          maxLength: 255
          example: Team Packages
          type: string
        products:
          type: array
          items:
            type: string
            format: uuid
            example: https://example.com/
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
      required:
        - name
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````